#pragma once

#include "Core/Logger.h"

#define GLEW_STATIC
#include <GL/glew.h>
#include <glfw/glfw3.h>

inline void CheckGLError(const char* file, int line) {
    GLenum err = glGetError();
    if (err != GL_NO_ERROR) {
        ERRORLOG("GL Error: {} - {}:{}", err, file, line);
        assert(false);
    }
}

#define __CHECK_GL_ERROR__ CheckGLError(__FILE__, __LINE__);
